#!/bin/bash
MYPATH=$(cd $(dirname "$0"); pwd)
cd ../../..
LIST=$(bash "${MYPATH}/../list.sh")
echo "$LIST" | ./jq '.'
OLEN=$(echo "$LIST" | ./jq 'length')
bash "${MYPATH}/../pemcreate.sh" "${MYPATH}/dir1.pem"
LIST=$(bash "${MYPATH}/../list.sh")
echo "$LIST" | ./jq '.'
LEN=$(echo "$LIST" | ./jq 'length')
if [ "$LEN" -eq "$OLEN" ] ; then
    >&2 echo "${MYPATH}/dir1.pem" exists as a trusted CA already
else
    >&2 echo "${MYPATH}/dir1.pem" imported as a trusted CA successfully
    >&2 echo removing the newly added trusted CA
    export OPT=-i
    bash "${MYPATH}/../delete.sh" "$LEN"
    export OPT=
fi
