#!/bin/bash
MYPATH=$(cd $(dirname "$0"); pwd)
cd ../..
JSON=$$.json
NAME=dsa$$
HOST=$(hostname)
PORT=60000
bash "$MYPATH"/simplerouter.temp "$NAME" "$HOST" "$PORT" > "$JSON"
EXIST=$(bash "$MYPATH"/../create.sh "$JSON")
EXIST=$(bash "$MYPATH/../exist.sh" "$NAME"); STATUS=$?
if [[ "$STATUS" -ne 0 ]] ; then
    >&2 echo "DSA $NAME creation failed"
else
    >&2 echo "DSA $NAME created"
    echo "$EXIST" |
        ./jq '{ "name": .name, "status": .status, "console-port": .config.knowledge[0]."console-port" }'
fi
bash "$MYPATH"/../status.sh "$NAME"
bash "$MYPATH"/../list.sh
echo "$EXIST" | ./jq '.config.knowledge[0]."console-port" = 60010' > "$JSON"
EXIST=$(bash "$MYPATH"/../update.sh "$NAME" "$JSON")
EXIST=$(bash "$MYPATH/../exist.sh" "$NAME")
echo "$EXIST" |
    ./jq '{ "name": .name, "status": .status, "console-port": .config.knowledge[0]."console-port" }'
export OPT=-i
bash "$MYPATH"/../delete.sh "$NAME"
export OPT=
