#!/bin/bash
. ./authn
QUERY=$1
ADDL=$2
if [[ ! -z "$QUERY" ]] ; then
   QUERY=?"$QUERY"
fi
if [[ -z "${ADDL}" ]] ; then
   ADDL="--header,Accept: application/json,--header,Content-Type: application/json"
fi
IFS=',' read -r -a array <<< "$ADDL"
curl ${OPT} -s -k $AUTHN \
   -X POST \
   "${array[@]}" \
   "https://${RESTHOST}:${RESTPORT}/ca/api/dxagent/v1.0/certificates/personalities${QUERY}"
