#!/bin/bash
. ./authn
NAME=$1
QUERY=$2
ADDL=$3
if [[ ! -z "$QUERY" ]] ; then
   QUERY=?"$QUERY"
fi
if [[ -z "${ADDL}" ]] ; then
   ADDL="--header,Accept: application/json"
fi
IFS=',' read -r -a array <<< "$ADDL"
curl ${OPT} -s -k $AUTHN \
   -X GET \
   "${array[@]}" \
   "https://${RESTHOST}:${RESTPORT}/ca/api/dxagent/v1.0/dsas/${NAME}/db${QUERY}"
