#!/bin/bash
MYPATH=$(cd $(dirname "$0"); pwd)
cd ../../..
JSON=$$.json
NAME=dsa$$
HOST=$(hostname)
PORT=60000
bash "$MYPATH"/simplerouter.temp "$NAME" "$HOST" "$PORT" > "$JSON"
EXIST=$(bash dsas/create.sh "$JSON")
EXIST=$(bash dsas/exist.sh "$NAME"); STATUS=$?
if [[ "$STATUS" -ne 0 ]] ; then
    >&2 echo "DSA $NAME creation failed. tests stopped"
    exit 1
else
    >&2 echo "DSA $NAME created"
    echo "$EXIST" |
        ./jq '{ "name": .name, "status": .status }'
fi
bash "$MYPATH"/../trigger.sh "$NAME"
export OPT=-i
bash dsas/delete.sh "$NAME"
export OPT=
